<?php
/*
Plugin Name: Enhanced Search Box
Plugin URI: http://labs.jcow.com/plugins/enhanced-search-box/
Description: Add extra functionality to default search box using jQuery.
Version: 0.5.3
Author: Jacob Snyder
Author URI: http://Jupitercow.com/
*/

/*
Copyright 2009 Jupitercow (http://Jupitercow.com/)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include (dirname(__FILE__) .'/options.php');
define('PLUGIN', 'enhanced-search-box');

/* Activation */
register_activation_hook(__FILE__, 'enhanced_sb_set_options');

/* Deactivation */
register_deactivation_hook(__FILE__, 'enhanced_sb_unset_options');

/* Activation/Deactivation Functions
-------------------------------------------------------------------------------------- */
function enhanced_sb_set_options(){
	add_option("enhanced_sb_default",'Search...');
	add_option("enhanced_sb_add_jquery",1);
}
function enhanced_sb_unset_options(){
	/*delete_option("enhanced_sb_default");*/
}

/* Load support files into the page head
-------------------------------------------------------------------------------------- */
/* Load JS into wp_head() */
add_action('wp_head', 'enhanced_sb_add_js');
function enhanced_sb_add_js(){
	$enhanced_sb_default = get_option('enhanced_sb_default');
	$enhanced_sb_add_jquery = get_option('enhanced_sb_add_jquery');
	$filename = PLUGIN .'.js';
	
	$output  = '<!-- begin Enhanced Search Box -->'."\n";
	$output .= ( $enhanced_sb_add_jquery ) ? '<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>'."\n" : '';
	
	$output .= '<script type="text/javascript">'."\n";
	$output .= '$(document).ready(function(){';
	$output .= 'var searchTextDefault = "'. $enhanced_sb_default .'";';
	$output .= 'var searchBox = $("#s");';
	$output .= 'var searchBoxMain = $("#content .s");';
	
	$output .= 'searchBox.attr("value", searchTextDefault);';
	$output .= 'searchBoxMain.attr("value", searchTextDefault);';
	
	$output .= 'searchBoxMain.focus(searchFocus);';
	$output .= 'searchBoxMain.blur(searchBlur);';
	$output .= 'searchBox.focus(searchFocus);';
	$output .= 'searchBox.blur(searchBlur);';
	$output .= 'function searchFocus(){ $(this).addClass("active"); if($(this).attr("value") == searchTextDefault) $(this).attr("value", ""); };';
	$output .= 'function searchBlur(){ $(this).removeClass("active"); if($(this).attr("value") == "") $(this).attr("value", searchTextDefault); };';
	
	#$output .= 'searchBoxMain.focus();';
	
	$output .= '});'."\n";
	$output .= '</script>'."\n";
	
	$output .= '<!-- end Enhanced Search Box -->'."\n";
	
	echo $output;
}

?>