<?php
/* Custom Admin Options Page
-------------------------------------------------------------------------------------- */
function enhanced_sb_options_page(){
	if( $_REQUEST['submit'] ){
		update_enhanced_sb_options();
	}
	echo '<div class="wrap">'."\n";
	echo '<h2>Enhanced Search Box Options</h2>'."\n";
	print_enhanced_sb_form();
	echo '</div>'."\n";
}
function update_enhanced_sb_options(){
	$updated = false;
	
	if( $_REQUEST['enhanced_sb_default'] || $_REQUEST['enhanced_sb_default'] === '' ){
		update_option('enhanced_sb_default', $_REQUEST['enhanced_sb_default']);
		$updated = true; }
		
	if( $_REQUEST['enhanced_sb_add_jquery'] ){
		update_option('enhanced_sb_add_jquery', 1);
		$updated = true;
	}else{
		update_option('enhanced_sb_add_jquery', 0);
		$updated = true;
	}
	
	if( $updated ){
		echo '<div id="message" class="updated fade">';
		echo '<p>Options updated</p>';
		echo '</div>';
		add_action('admin_menu','update_menu_items');
	} else {
		echo '<div id="message" class="error fade">';
		echo '<p>Unable to update options</p>';
		echo '</div>';
	}
}
function print_enhanced_sb_form(){
	$enhanced_sb_default = get_option('enhanced_sb_default');
	$enhanced_sb_add_jquery = get_option('enhanced_sb_add_jquery');
	
	$output  = '<form method="post">'."\n";
	$output .= '<table class="form-table">'."\n";
	
	$output .= '<tr valign="top">'."\n";
	$output .= '<th scope="row"><label for="enhanced_sb_default">Default search box text:</label></th>'."\n";
	$output .= '<td><input style="width:250px" type="text" name="enhanced_sb_default" value="'. $enhanced_sb_default .'" /> Default Setting is "Search..."</td>'."\n";
	$output .= '</tr>'."\n";
	
	$output .= '<tr valign="top">'."\n";
	$output .= '<th scope="row"><label for="enhanced_sb_add_jquery">Add jQuery to header:</label></th>'."\n";
	$output .= '<td><input type="checkbox" name="enhanced_sb_add_jquery" value="1"';
			$output .= ($enhanced_sb_add_jquery == 1) ? ' checked="checked"' : '';
			$output .= ' /> Adds jQuery 1.3.2, hosted on Google Apps. If you are already adding jQuery, uncheck.</td>'."\n";
	$output .= '</tr>'."\n";
		
	$output .= '</table>'."\n";
	
	$output .= '<p class="submit"><input type="submit" name="submit" value="Save Changes" class="button-primary" />'."\n";
	$output .= '</p>'."\n";
	
	$output .= '</form>'."\n";
	
	echo $output;
}
function enhanced_sb_add_pages(){
    add_options_page('Enhanced Search Box', 'Enhanced Search Box', 8, 'enhancedsb', 'enhanced_sb_options_page');
}
add_action('admin_menu', 'enhanced_sb_add_pages');
?>